Bug 166562 - notecase help file not found
notecase help file not found
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: notecase (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 07:52 EDT by Paul W. Frields
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-03 18:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to correct "missing" help file problem (569 bytes, patch)
2005-08-23 07:52 EDT, Paul W. Frields
no flags Details | Diff

  None (edit)
Description Paul W. Frields 2005-08-23 07:52:24 EDT
Description of problem:
The spec file for notecase doesn't properly set the HELP_FILE_PATH, so when a
user runs notecase, the help file won't work.  The help file is actually located
in %{_docdir}/%{name}-%{version} as expected.

Version-Release number of selected component (if applicable):
1.0.0-1

How reproducible:
Every time

Steps to Reproduce:
1. Start notecase
2. From menu, select Help -> About

  
Actual results:
Error dialog, help file not found.

Expected results:
Help file should open.

Additional info:
Spec file patch attached.

*** Also - another problem: In the specfile, I was under the impression that
dos2unix is a no-no.  Shouldn't it be using %{__sed} 's!\r!!' instead?  Then you
can eliminate the extra BuildRequires for /usr/bin/dos2unix as well.
Comment 1 Paul W. Frields 2005-08-23 07:52:24 EDT
Created attachment 117997 [details]
Patch to correct "missing" help file problem

Note You need to log in before you can comment on or make changes to this bug.